# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: tuning_mode.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='tuning_mode.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x11tuning_mode.proto\"\xbf\x02\n\x03\x66sk\x12\x10\n\x08\x62\x61udrate\x18\x01 \x01(\x01\x12\x18\n\x10modulation_index\x18\x02 \x01(\x01\x12\x10\n\x08preamble\x18\x03 \x01(\x0c\x12\x11\n\tsync_word\x18\x05 \x01(\x0c\x12\x18\n\x10\x66rame_size_fixed\x18\x06 \x01(\x08\x12\x12\n\nframe_size\x18\x07 \x01(\r\x12\x1c\n\x03\x63rc\x18\x08 \x01(\x0e\x32\x0f.fsk.crc_scheme\x12(\n\twhitening\x18\t \x01(\x0e\x32\x15.fsk.whitening_scheme\"5\n\ncrc_scheme\x12\n\n\x06NO_CRC\x10\x00\x12\x0b\n\x07\x43RC32_C\x10\x01\x12\x0e\n\nCRC16_CCIT\x10\x02\":\n\x10whitening_scheme\x12\x10\n\x0cNO_WHITENING\x10\x00\x12\t\n\x05G3RUH\x10\x01\x12\t\n\x05\x43\x43SDS\x10\x02\"\x9e\x01\n\x14lora_implicit_header\x12\x0b\n\x03len\x18\x01 \x01(\r\x12\x0b\n\x03\x63rc\x18\x02 \x01(\x08\x12-\n\x02\x63r\x18\x03 \x01(\x0e\x32!.lora_implicit_header.coding_rate\"=\n\x0b\x63oding_rate\x12\n\n\x06\x43R_4_5\x10\x00\x12\n\n\x06\x43R_4_6\x10\x01\x12\n\n\x06\x43R_4_7\x10\x02\x12\n\n\x06\x43R_4_8\x10\x03\"\xe6\x02\n\x04lora\x12\x0c\n\x04sync\x18\x01 \x01(\r\x12\"\n\x02sf\x18\x02 \x01(\x0e\x32\x16.lora.spreading_factor\x12\x1b\n\x02\x62w\x18\x03 \x01(\x0e\x32\x0f.lora.bandwidth\x12*\n\x06header\x18\x04 \x01(\x0b\x32\x15.lora_implicit_headerH\x00\x88\x01\x01\"[\n\x10spreading_factor\x12\x08\n\x04SF_6\x10\x00\x12\x08\n\x04SF_7\x10\x01\x12\x08\n\x04SF_8\x10\x02\x12\x08\n\x04SF_9\x10\x03\x12\t\n\x05SF_10\x10\x04\x12\t\n\x05SF_11\x10\x05\x12\t\n\x05SF_12\x10\x06\"{\n\tbandwidth\x12\x08\n\x04\x42W_7\x10\x00\x12\t\n\x05\x42W_10\x10\x01\x12\t\n\x05\x42W_15\x10\x02\x12\t\n\x05\x42W_20\x10\x03\x12\t\n\x05\x42W_31\x10\x04\x12\t\n\x05\x42W_41\x10\x05\x12\t\n\x05\x42W_62\x10\x06\x12\n\n\x06\x42W_125\x10\x07\x12\n\n\x06\x42W_250\x10\x08\x12\n\n\x06\x42W_500\x10\tB\t\n\x07_header\"\xbe\x01\n\x0btuning_mode\x12*\n\x04mode\x18\x01 \x01(\x0e\x32\x1c.tuning_mode.modulation_mode\x12\x1d\n\nfsk_params\x18\x02 \x01(\x0b\x32\x04.fskH\x00\x88\x01\x01\x12\x1f\n\x0blora_params\x18\x03 \x01(\x0b\x32\x05.loraH\x01\x88\x01\x01\"$\n\x0fmodulation_mode\x12\x07\n\x03\x46SK\x10\x00\x12\x08\n\x04LORA\x10\x01\x42\r\n\x0b_fsk_paramsB\x0e\n\x0c_lora_paramsb\x06proto3'
)



_FSK_CRC_SCHEME = _descriptor.EnumDescriptor(
  name='crc_scheme',
  full_name='fsk.crc_scheme',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='NO_CRC', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CRC32_C', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CRC16_CCIT', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=228,
  serialized_end=281,
)
_sym_db.RegisterEnumDescriptor(_FSK_CRC_SCHEME)

_FSK_WHITENING_SCHEME = _descriptor.EnumDescriptor(
  name='whitening_scheme',
  full_name='fsk.whitening_scheme',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='NO_WHITENING', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='G3RUH', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CCSDS', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=283,
  serialized_end=341,
)
_sym_db.RegisterEnumDescriptor(_FSK_WHITENING_SCHEME)

_LORA_IMPLICIT_HEADER_CODING_RATE = _descriptor.EnumDescriptor(
  name='coding_rate',
  full_name='lora_implicit_header.coding_rate',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='CR_4_5', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CR_4_6', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CR_4_7', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CR_4_8', index=3, number=3,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=441,
  serialized_end=502,
)
_sym_db.RegisterEnumDescriptor(_LORA_IMPLICIT_HEADER_CODING_RATE)

_LORA_SPREADING_FACTOR = _descriptor.EnumDescriptor(
  name='spreading_factor',
  full_name='lora.spreading_factor',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='SF_6', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='SF_7', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='SF_8', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='SF_9', index=3, number=3,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='SF_10', index=4, number=4,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='SF_11', index=5, number=5,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='SF_12', index=6, number=6,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=636,
  serialized_end=727,
)
_sym_db.RegisterEnumDescriptor(_LORA_SPREADING_FACTOR)

_LORA_BANDWIDTH = _descriptor.EnumDescriptor(
  name='bandwidth',
  full_name='lora.bandwidth',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='BW_7', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='BW_10', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='BW_15', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='BW_20', index=3, number=3,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='BW_31', index=4, number=4,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='BW_41', index=5, number=5,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='BW_62', index=6, number=6,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='BW_125', index=7, number=7,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='BW_250', index=8, number=8,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='BW_500', index=9, number=9,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=729,
  serialized_end=852,
)
_sym_db.RegisterEnumDescriptor(_LORA_BANDWIDTH)

_TUNING_MODE_MODULATION_MODE = _descriptor.EnumDescriptor(
  name='modulation_mode',
  full_name='tuning_mode.modulation_mode',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='FSK', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='LORA', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=989,
  serialized_end=1025,
)
_sym_db.RegisterEnumDescriptor(_TUNING_MODE_MODULATION_MODE)


_FSK = _descriptor.Descriptor(
  name='fsk',
  full_name='fsk',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='baudrate', full_name='fsk.baudrate', index=0,
      number=1, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='modulation_index', full_name='fsk.modulation_index', index=1,
      number=2, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='preamble', full_name='fsk.preamble', index=2,
      number=3, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=b"",
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='sync_word', full_name='fsk.sync_word', index=3,
      number=5, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=b"",
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='frame_size_fixed', full_name='fsk.frame_size_fixed', index=4,
      number=6, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='frame_size', full_name='fsk.frame_size', index=5,
      number=7, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='crc', full_name='fsk.crc', index=6,
      number=8, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='whitening', full_name='fsk.whitening', index=7,
      number=9, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _FSK_CRC_SCHEME,
    _FSK_WHITENING_SCHEME,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=22,
  serialized_end=341,
)


_LORA_IMPLICIT_HEADER = _descriptor.Descriptor(
  name='lora_implicit_header',
  full_name='lora_implicit_header',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='len', full_name='lora_implicit_header.len', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='crc', full_name='lora_implicit_header.crc', index=1,
      number=2, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='cr', full_name='lora_implicit_header.cr', index=2,
      number=3, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _LORA_IMPLICIT_HEADER_CODING_RATE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=344,
  serialized_end=502,
)


_LORA = _descriptor.Descriptor(
  name='lora',
  full_name='lora',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='sync', full_name='lora.sync', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='sf', full_name='lora.sf', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='bw', full_name='lora.bw', index=2,
      number=3, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='header', full_name='lora.header', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _LORA_SPREADING_FACTOR,
    _LORA_BANDWIDTH,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='_header', full_name='lora._header',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=505,
  serialized_end=863,
)


_TUNING_MODE = _descriptor.Descriptor(
  name='tuning_mode',
  full_name='tuning_mode',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='mode', full_name='tuning_mode.mode', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='fsk_params', full_name='tuning_mode.fsk_params', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='lora_params', full_name='tuning_mode.lora_params', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _TUNING_MODE_MODULATION_MODE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='_fsk_params', full_name='tuning_mode._fsk_params',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
    _descriptor.OneofDescriptor(
      name='_lora_params', full_name='tuning_mode._lora_params',
      index=1, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=866,
  serialized_end=1056,
)

_FSK.fields_by_name['crc'].enum_type = _FSK_CRC_SCHEME
_FSK.fields_by_name['whitening'].enum_type = _FSK_WHITENING_SCHEME
_FSK_CRC_SCHEME.containing_type = _FSK
_FSK_WHITENING_SCHEME.containing_type = _FSK
_LORA_IMPLICIT_HEADER.fields_by_name['cr'].enum_type = _LORA_IMPLICIT_HEADER_CODING_RATE
_LORA_IMPLICIT_HEADER_CODING_RATE.containing_type = _LORA_IMPLICIT_HEADER
_LORA.fields_by_name['sf'].enum_type = _LORA_SPREADING_FACTOR
_LORA.fields_by_name['bw'].enum_type = _LORA_BANDWIDTH
_LORA.fields_by_name['header'].message_type = _LORA_IMPLICIT_HEADER
_LORA_SPREADING_FACTOR.containing_type = _LORA
_LORA_BANDWIDTH.containing_type = _LORA
_LORA.oneofs_by_name['_header'].fields.append(
  _LORA.fields_by_name['header'])
_LORA.fields_by_name['header'].containing_oneof = _LORA.oneofs_by_name['_header']
_TUNING_MODE.fields_by_name['mode'].enum_type = _TUNING_MODE_MODULATION_MODE
_TUNING_MODE.fields_by_name['fsk_params'].message_type = _FSK
_TUNING_MODE.fields_by_name['lora_params'].message_type = _LORA
_TUNING_MODE_MODULATION_MODE.containing_type = _TUNING_MODE
_TUNING_MODE.oneofs_by_name['_fsk_params'].fields.append(
  _TUNING_MODE.fields_by_name['fsk_params'])
_TUNING_MODE.fields_by_name['fsk_params'].containing_oneof = _TUNING_MODE.oneofs_by_name['_fsk_params']
_TUNING_MODE.oneofs_by_name['_lora_params'].fields.append(
  _TUNING_MODE.fields_by_name['lora_params'])
_TUNING_MODE.fields_by_name['lora_params'].containing_oneof = _TUNING_MODE.oneofs_by_name['_lora_params']
DESCRIPTOR.message_types_by_name['fsk'] = _FSK
DESCRIPTOR.message_types_by_name['lora_implicit_header'] = _LORA_IMPLICIT_HEADER
DESCRIPTOR.message_types_by_name['lora'] = _LORA
DESCRIPTOR.message_types_by_name['tuning_mode'] = _TUNING_MODE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

fsk = _reflection.GeneratedProtocolMessageType('fsk', (_message.Message,), {
  'DESCRIPTOR' : _FSK,
  '__module__' : 'tuning_mode_pb2'
  # @@protoc_insertion_point(class_scope:fsk)
  })
_sym_db.RegisterMessage(fsk)

lora_implicit_header = _reflection.GeneratedProtocolMessageType('lora_implicit_header', (_message.Message,), {
  'DESCRIPTOR' : _LORA_IMPLICIT_HEADER,
  '__module__' : 'tuning_mode_pb2'
  # @@protoc_insertion_point(class_scope:lora_implicit_header)
  })
_sym_db.RegisterMessage(lora_implicit_header)

lora = _reflection.GeneratedProtocolMessageType('lora', (_message.Message,), {
  'DESCRIPTOR' : _LORA,
  '__module__' : 'tuning_mode_pb2'
  # @@protoc_insertion_point(class_scope:lora)
  })
_sym_db.RegisterMessage(lora)

tuning_mode = _reflection.GeneratedProtocolMessageType('tuning_mode', (_message.Message,), {
  'DESCRIPTOR' : _TUNING_MODE,
  '__module__' : 'tuning_mode_pb2'
  # @@protoc_insertion_point(class_scope:tuning_mode)
  })
_sym_db.RegisterMessage(tuning_mode)


# @@protoc_insertion_point(module_scope)
